From 8cbbdbb84d071835e4660442b95c8ec55c0ed7a2 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Nov 03 2015 17:05:05 +0000
Subject: [PATCH 230/254] Merge #51 `Fixed issue #49: Updated the bodhiurl responsible for the bug`


---

diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index 4b0df3a..36e830d 100644
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -18,7 +18,11 @@ template = jinja2.Template("""
     {% endif %}
     <hr/>
     {% if subscriptions %}
-        <p><strong>Subscribes to:</strong> {{subscriptions_text}}</p>
+        <p><strong>Subscribes to:</strong>
+        {% for subscription in subscriptions %}
+        <a href="{{ url_for('hub', name=subscription)}}">
+        {{subscription}}</a>
+        {% endfor %}</p>
     {% endif %}
 {% endif %}
 """)
diff --git a/hubs/widgets/workflow/updates2stable.py b/hubs/widgets/workflow/updates2stable.py
index 49b54e2..1a27be6 100644
--- a/hubs/widgets/workflow/updates2stable.py
+++ b/hubs/widgets/workflow/updates2stable.py
@@ -48,10 +48,9 @@ giveaway = 'can be pushed to stable now'
 def data(session, widget, username):
 
     # First, get all of my updates currently in testing.
-    bodhiurl = 'https://admin.fedoraproject.org/updates/'
-    baseurl = bodhiurl + 'list'
-    query = '?username={username}&status=testing'.format(username=username)
-    url = baseurl + query
+    bodhiurl = 'https://bodhi.fedoraproject.org/updates/'
+    query = '?user={username}&status=testing'.format(username=username)
+    url = bodhiurl + query
     headers = {'Accept': 'application/json'}
     response = requests.get(url, headers=headers)
     data = response.json()
@@ -67,13 +66,21 @@ def data(session, widget, username):
     # Stuff some useful information in there.
     baseurl = 'https://apps.fedoraproject.org/packages/images/icons/'
     for update in data['updates']:
-        package = update['builds'][0]['package']['name']
-        update['icon'] = baseurl + package + '.png'
+        build = update['builds'][0]
+        nvr = build['nvr']
+        package = parse_nvr(nvr)
+        update['icon'] = baseurl + package[0] + '.png'
         update['link'] = bodhiurl + update['title']
 
     return data
 
 
+def parse_nvr(nvr):
+    # Return the [ name, version, release ] of a given name-ver-rel.
+    x = nvr.split('-')
+    return ['-'.join(x[:-2]), x[-2], x[-1]]
+
+
 @hint(topics=[_('bodhi.update.comment')])
 def should_invalidate(message, session, widget):
     if giveaway in message['msg']['comment']['text']:

